#ifndef MMARS_H
#define MMARS_H

#ifndef MAGIC_H
#include "MAGIC.h"
#endif

#ifndef ROOT_TGFrame
#include <TGFrame.h>
#endif

class TList;

class MMars : public TGMainFrame
{
private:

    TList *fList;

    const TGPicture *fPic1;
    const TGPicture *fPic2;

    void CreateMenuBar();
    void CreateTopFrame(TGHorizontalFrame *top);
    void CreateBottomFrame(TGHorizontalFrame *low);

    void DisplWarning(const char *txt);

public:
    MMars(UInt_t w=400, UInt_t h=500);

    ~MMars();

    void CloseWindow();

    Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);

    ClassDef(MMars, 0) // GUI: Mars - the main window
};

#endif


